/************************************************************************
 *                                                                      *
 * This code is for operating the hard drives                           *
 *                                                                      *
 * Copyright (c) 2006, 2007 E. D. MacPherson                            *
 *                                                                      *
 ************************************************************************/

#ifndef _HARD_DRIVE_H
#define _HARD_DRIVE_H

void HDInit(void);
void ReadAndDisplay (unsigned int lba);
BYTE ReadSectorHD (unsigned int lba, unsigned char * buffer);
BYTE WriteSectorHD (unsigned int lba, unsigned char * buffer);
BYTE Read_Write_SectorHD (unsigned int lba, unsigned char * buffer, unsigned char rw);
BYTE WriteBufferHD (unsigned int location, unsigned char * buffer, unsigned int length);
BYTE ReadBufferHD (unsigned int location, unsigned char * buffer, unsigned int length);
void HDTest ( void );
void get_cust_record(unsigned long id, struct cust * pcustomer);
void put_cust_record(unsigned long id, struct cust * pcustomer);
void get_game_record(unsigned long index, struct game * pgame);
void put_game_record(unsigned long index, struct game * pgame);
void check_record_structure (void);
void clean_games(void);
void clean_customers(void);
unsigned int GetRollTotal ( void );
void PutRollTotal(unsigned int roll);
unsigned long ReadNV(unsigned long location);
void WriteNV (unsigned long location, unsigned long data);
unsigned long ReadRoll(unsigned long index);
void WriteRoll (unsigned long index, unsigned long gameID);


#endif


