
/************************************************************************
 *                                                                      *
 * This code is for the QSPI port                                       *
 *                                                                      *
 * Copyright (c) 2009 E. D. MacPherson                                  *
 *                                                                      *
 ************************************************************************/
 
#ifndef _QSPI_H_
#define _QSPI_H_

typedef unsigned long     MAX_FILE_LENGTH;                               // over 64k file lengths
 
void fnSPI_command(unsigned char ucCommand,
                   unsigned long ulPageNumberOffset,
                   volatile unsigned char *ucData,
                   MAX_FILE_LENGTH DataLength);

unsigned char fnCheckAT45dbxxx(void);
unsigned short fnGetSPI_FLASH_location(unsigned char *ptrSector, unsigned short *usPageOffset);
int fnWriteBytesFlash(unsigned char *ucDestination, unsigned char *ucData, MAX_FILE_LENGTH Length);
int ReadBinarySPIFromStream( int fd, int location );
void fnSPI_Block_Erase(int start_block, int length);
int SendSPIToStreamAsBinary( int fd, int location);

#endif /*_QSPI_H_*/
