//************************************************************************
//                                                                       *
//                 Defines.h                                             *
//                                                                       *
//		   Copyright (c) 2002, 2006, 2009 E. D. MacPherson               *
//                                                                       *
//************************************************************************

#ifndef _DEFINES_H_
#define _DEFINES_H_

#define CS1 (0xb0000000)
#define CS2 (CS1 + 0x20000)

#define ever (;;);

#define pageLAN_APP       1000
#define pageREAD_HS       2000
#define pagePOS_HS        3000 
#define pagePOS_SA        4000

#define pageFILE_LEN      1000

#define SECTOR_LEN        512

#define OFF               0
#define ON                !OFF
#define POSITIVE          1
#define NEGATIVE          -1

#define FAIL             (0)
#define OK               (1)

#define STX               'a'
#define ETX               'z'

#define CR                0xd
#define LF                0xa
#define BS                0x8
#define DEL               0x7f

#define STOP()            do{;}while(1)

#define ETHBUFLEN         2048
#define MAXBYTES          64

#define MS_PER_TICK       (50)

#define READ              1
#define WRITE             2

#define MAIN_PRIO       (50) 
#define NETWORK_PRIO    (30)


#endif  // _DEFINES_H_
